module.exports = /******/
function(modules) {
    /******/
    /******/
    // The require function
    /******/
    function __webpack_require__(moduleId) {
        /******/
        /******/
        // Check if module is in cache
        /******/
        if (installedModules[moduleId]) /******/
        return installedModules[moduleId].exports;
        /******/
        /******/
        // Create a new module (and put it into the cache)
        /******/
        var module = installedModules[moduleId] = {
            /******/
            exports: {},
            /******/
            id: moduleId,
            /******/
            loaded: !1
        };
        /******/
        /******/
        // Return the exports of the module
        /******/
        /******/
        /******/
        // Execute the module function
        /******/
        /******/
        /******/
        // Flag the module as loaded
        /******/
        return modules[moduleId].call(module.exports, module, module.exports, __webpack_require__), 
        module.loaded = !0, module.exports;
    }
    // webpackBootstrap
    /******/
    // The module cache
    /******/
    var installedModules = {};
    /******/
    /******/
    // Load entry module and return exports
    /******/
    /******/
    /******/
    /******/
    // expose the modules object (__webpack_modules__)
    /******/
    /******/
    /******/
    // expose the module cache
    /******/
    /******/
    /******/
    // __webpack_public_path__
    /******/
    return __webpack_require__.m = modules, __webpack_require__.c = installedModules, 
    __webpack_require__.p = "", __webpack_require__(0);
}([ /* 0 */
/***/
function(module, exports, __webpack_require__) {
    "use strict";
    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }
    Object.defineProperty(exports, "__esModule", {
        value: !0
    }), exports.alignment = void 0;
    var _defineProperty2 = __webpack_require__(3), _defineProperty3 = _interopRequireDefault(_defineProperty2), _values = __webpack_require__(4), _values2 = _interopRequireDefault(_values), _hasOwn = Object.prototype.hasOwnProperty, _forOwn = function(object, iterator) {
        for (var prop in object) _hasOwn.call(object, prop) && iterator(object[prop], prop);
    }, _renderArbitrary = function _renderArbitrary(child) {
        var type = typeof child;
        "number" === type || "string" === type || "object" === type && child instanceof String ? _skatejs.vdom.text(child) : "function" === type && child.__jsxDOMWrapper ? child() : Array.isArray(child) ? child.forEach(_renderArbitrary) : "object" === type && "[object Object]" === String(child) && _forOwn(child, _renderArbitrary);
    }, _classnames2 = __webpack_require__(5), _classnames3 = _interopRequireDefault(_classnames2), _skatejs = __webpack_require__(6), _akutilCommon = __webpack_require__(7), _shadow = __webpack_require__(8), _shadow2 = _interopRequireDefault(_shadow), alignment = {
        /** text-start alignment */
        start: "start",
        /** text-end alignment */
        end: "end"
    }, ALIGNMENT_ATTRIBUTE_ENUM = {
        attribute: "alignment",
        values: (0, _values2.default)(alignment),
        missingDefault: "",
        invalidDefault: ""
    };
    /**
	 * @description Create instances of the component programmatically, or using markup.
	 * @class TagGroup
	 * @example @js import TagGroup from 'ak-tag-group';
	 * import Tag from 'ak-tag';
	 *
	 * const tagGroup = new TagGroup();
	 * const chocolateTag = new Tag();
	 * chocolateTag.text = 'Chocolate';
	 * tagGroup.appendChild(chocolateTag);
	 *
	 * document.body.appendChild(tagGroup); // show the tag group with the tags
	 */
    exports.default = (0, _skatejs.define)("ak-tag-group", {
        render: function(elem) {
            var _classnames, isEndAligned = elem.alignment === alignment.end, slotClasses = (0, 
            _classnames3.default)((_classnames = {}, (0, _defineProperty3.default)(_classnames, _shadow2.default.locals.slot, !0), 
            (0, _defineProperty3.default)(_classnames, _shadow2.default.locals.endAligned, isEndAligned), 
            _classnames));
            return _skatejs.vdom.elementOpen("div", null, null, "className", _shadow2.default.locals.rootNode), 
            _skatejs.vdom.elementOpen("style"), _renderArbitrary(_shadow2.default.toString()), 
            _skatejs.vdom.elementClose("style"), _skatejs.vdom.elementOpen("div", null, null, "className", _shadow2.default.locals.slotWrapper), 
            _skatejs.vdom.elementVoid("slot", null, null, "className", slotClasses), _skatejs.vdom.elementClose("div"), 
            _skatejs.vdom.elementClose("div");
        },
        props: {
            /**
	     * @description (Optional) A group alignment.
	     *
	     * Defaults to an empty string (which means it uses the text direction to determine
	     * the alignment (same as start)).
	     *
	     * This setting also controls the animation direction on tag removal,
	     * e.g. start alignment means that the tags list moves to the text-start on removal
	     * end alignment means it moves to the text-end (all based on the text direction,
	     * e.g. start alignment in LTR means the tags move to the right, start alignment
	     * in RTL means the tags move to the left).
	     *
	     * @memberof TagGroup
	     * @instance
	     * @type {alignment}
	     * @default start
	     * @example @html <ak-tag-group alignment="end">
	     *   <ak-tag text="Cupcake"/ >
	     *   <ak-tag text="Cheesecake"/ >
	     *   <ak-tag text="Chocolate"/ >
	     * </ak-tag-group>
	     * @example @js import TagGroup, { alignment } from 'ak-tag-group';
	     * import Tag from 'ak-tag';
	     *
	     * const tagGroup = new TagGroup();
	     * const tags = ['Cupcake', 'Cheesecake', 'Chocolate'].map((text) => {
	     *   const tag = new Tag();
	     *   tag.text = text;
	     *   return tag;
	     * });
	     * tags.forEach((tag) => tagGroup.appendChild(tag));
	     *
	     * tagGroup.alignment = alignment.end; // Is aligned at text-end of the current text direction
	     *
	     * document.body.appendChild(tagGroup); // show the tag group with the tags
	     */
            alignment: (0, _akutilCommon.enumeration)(ALIGNMENT_ATTRIBUTE_ENUM)({
                attribute: !0
            })
        }
    }), exports.alignment = alignment;
}, /* 1 */
, /* 2 */
, /* 3 */
/***/
function(module, exports) {
    module.exports = require("babel-runtime/helpers/defineProperty");
}, /* 4 */
/***/
function(module, exports) {
    module.exports = require("babel-runtime/core-js/object/values");
}, /* 5 */
/***/
function(module, exports) {
    module.exports = require("classnames");
}, /* 6 */
/***/
function(module, exports) {
    module.exports = require("skatejs");
}, /* 7 */
/***/
function(module, exports) {
    module.exports = require("akutil-common");
}, /* 8 */
/***/
function(module, exports, __webpack_require__) {
    exports = module.exports = __webpack_require__(9)(), // imports
    // module
    exports.push([ module.id, "._3deungX75Ib1NiTNamfQ5X,ak-tag-group{display:-webkit-box;display:-ms-flexbox;display:flex}._3deungX75Ib1NiTNamfQ5X>_shadow_root_,ak-tag-group>_shadow_root_{width:100%}._3deungX75Ib1NiTNamfQ5X:not([defined]),ak-tag-group:not([defined]){display:none}:host{display:-webkit-box;display:-ms-flexbox;display:flex}:host(:not([defined])){display:none}._28NrPxHYLFn7TRKnUBEFIy{-webkit-box-pack:end;-ms-flex-pack:end;justify-content:flex-end}:host ._32oDMiOhG-tM2rl-yX444a{display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;width:100%}._3ObqUJneuf6Rt8YYi8TMtb{display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap}._2NwQoPusiPRN3uuoHpKvAk{width:100%}::content>*{-webkit-box-flex:0;-ms-flex:0 1 auto;flex:0 1 auto}::slotted(*){-webkit-box-flex:0;-ms-flex:0 1 auto;flex:0 1 auto}:host([alignment=end]) ._32oDMiOhG-tM2rl-yX444a{-webkit-box-pack:end;-ms-flex-pack:end;justify-content:flex-end}", "" ]), 
    // exports
    exports.locals = {
        "ak-tag-group": "_3deungX75Ib1NiTNamfQ5X",
        akTagGroup: "_3deungX75Ib1NiTNamfQ5X",
        endAligned: "_28NrPxHYLFn7TRKnUBEFIy",
        endAligned: "_28NrPxHYLFn7TRKnUBEFIy",
        "slot-wrapper": "_32oDMiOhG-tM2rl-yX444a",
        slotWrapper: "_32oDMiOhG-tM2rl-yX444a",
        slot: "_3ObqUJneuf6Rt8YYi8TMtb",
        slot: "_3ObqUJneuf6Rt8YYi8TMtb",
        rootNode: "_2NwQoPusiPRN3uuoHpKvAk",
        rootNode: "_2NwQoPusiPRN3uuoHpKvAk"
    };
}, /* 9 */
/***/
function(module, exports) {
    /*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
    // css base code, injected by the css-loader
    module.exports = function() {
        var list = [];
        // return the list of modules as css string
        // import a list of modules into the list
        return list.toString = function() {
            for (var result = [], i = 0; i < this.length; i++) {
                var item = this[i];
                item[2] ? result.push("@media " + item[2] + "{" + item[1] + "}") : result.push(item[1]);
            }
            return result.join("");
        }, list.i = function(modules, mediaQuery) {
            "string" == typeof modules && (modules = [ [ null, modules, "" ] ]);
            for (var alreadyImportedModules = {}, i = 0; i < this.length; i++) {
                var id = this[i][0];
                "number" == typeof id && (alreadyImportedModules[id] = !0);
            }
            for (i = 0; i < modules.length; i++) {
                var item = modules[i];
                // skip already imported module
                // this implementation is not 100% perfect for weird media query combinations
                //  when a module is imported multiple times with different media queries.
                //  I hope this will never occur (Hey this way we have smaller bundles)
                "number" == typeof item[0] && alreadyImportedModules[item[0]] || (mediaQuery && !item[2] ? item[2] = mediaQuery : mediaQuery && (item[2] = "(" + item[2] + ") and (" + mediaQuery + ")"), 
                list.push(item));
            }
        }, list;
    };
} ]);